/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/ALIASPUB.H__   1.7   20 Jun 1996 09:29:42   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/ALIASPUB.H__  $
** 
**    Rev 1.7   20 Jun 1996 09:29:42   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.5   10 Jun 1996 10:24:20   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.3   29 May 1996 09:36:18   ZJRD
** No change.
** 
**    Rev 1.2   16 May 1996 09:08:58   ZJRD
** No change.
** 
**    Rev 1.1   10 May 1996 09:08:36   ZJRD
** No change.
** 
**    Rev 1.0   02 May 1996 10:26:12   ZJRD
** Initial revision.
** 
****************************************************************************/

#ifndef _aliaspub_h_
#define _aliaspub_h_
                                
#include "alias.h"
                                
void MakeTable();  
void FreeTable();
void AliasCmd(int m_nArgc, char* m_pszArgv[]);
/* void HelpCmd(int m_nArgc, char* m_pszArgv[]);*/
int  GetCommandId(const char* pszCommand); 
int  GetTotalCommandId(const char* pszCommand); // for hidden command
BOOL SearchCommand(const char* pszCommand, int& nArgc, char* pszArgv[]);
int  ExpandCommand(const char* pszCommand, char* pszExpand, char* pszHints);
BOOL ExpandParameter(const char* pszCommand, const char* pszParameter, char* pszExpand);

// special for Event 1|2|3
BOOL GetEventHints(const char* pszCommand, char* pszHints);
BOOL ExpandEventPara(const char* pszCommand, const char* pszParameter, char* pszExpand);

#endif
